Update File
curl --request PATCH \
--url https://api.egp.scale.com/v4/beta/files/{file_id} \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '{
"tags": {}
}'import requests
url = "https://api.egp.scale.com/v4/beta/files/{file_id}"
payload = { "tags": {} }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({tags: {}})
};
fetch('https://api.egp.scale.com/v4/beta/files/{file_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"size": 123,
"md5_checksum": "<string>",
"filename": "<string>",
"mime_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"created_by": {
"id": "<string>",
"object": "identity"
},
"object": "file",
"tags": {},
"duration_seconds": 123
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Beta
Update File
PATCH
/
v4
/
beta
/
files
/
{file_id}
Update File
Authorizations
Headers
Path Parameters
Body
application/json
Response
Successful Response
The identity that created the entity.
Show child attributes
Show child attributes
Allowed value:
"file"⌘I

